Copy a quote version by resource ID
Requires the QUOTE.CREATE permission.
Authentication
X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
version
version
resourceId
The ID of the resource for which the action is posted.
Headers
x-platform-id
Platform ID.
Request
This endpoint expects an object.
expires_at
The expiration date of the new quote version. When absent, the new version does not expire.
notes
Notes on the new quote version. When absent, those of the copied quote version.
internal_notes
Internal notes on the new quote version. When absent, those of the copied quote version.
content
Content of the body of the new quote version. When absent, that of the copied quote version.
Response
OK
object_type
id
created_at
updated_at
expires_at
The expiration date of the quote version.
quote_id
The ID of the quote.
version
The value describing the version of the quote.
signing_required
Whether signing is required. Resolved from the quote template or platform default for the first version, then inherited from the previous version.
pricing_plan_subscription_info
Deprecated, use pricing_plan_subscription_infos. Only set when there is exactly one linked pricing plan subscription.
pricing_plan_subscription_infos
The linked pricing plan subscriptions: those of the customer of the quote and of its children, the first created first.
content
Content of the body of the quote.
status
actions
The history of all actions done.
link
The public portal link of the quote.
internal_notes
Internal notes on this quote versions.
notes
Notes on this quote versions.
approval_request_id
The ID of the Approval Request that was created for this Quote Version.
recipients
The recipients for signature on this quote version.
invoices_info
Information pertaining to the invoices generated by this quote version.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error